<?php



class BaseModel {



	private $modelTransport = false;



	public function __construct($transportClass, $keys) {

		$this->modelTransport = new $transportClass(...$keys);

	}



	protected function transport() {

		return $this->modelTransport;

	}





}